pyregfi.winsec.SecurityDescriptor Class Reference

A Microsoft security descriptor For more information, see: http://msdn.microsoft.com/en-us/library/aa379563%28v=vs.85%29.aspx. More...

Inheritance diagram for pyregfi.winsec.SecurityDescriptor:
[legend]

## Static Public Attributes

string | owner = "S-1-2-..."
| The security descriptor's owner SID, as a string.
string | group = "S-1-2-..."
| The security descriptor's group SID, as a string.
list | sacl = []
| The system access control list represented as a list of ACE objects. More...
list | dacl = []
| The discretionary access control list represented as a list of ACE objects. More...

## Detailed Description

A Microsoft security descriptor For more information, see: http://msdn.microsoft.com/en-us/library/aa379563%28v=vs.85%29.aspx.

## Member Data Documentation

## sacl

list pyregfi.winsec.SecurityDescriptor.sacl = []

static

The system access control list represented as a list of ACE objects.

Is set to None if a sacl isn't defined

## dacl

list pyregfi.winsec.SecurityDescriptor.dacl = []

static

The discretionary access control list represented as a list of ACE objects.

Is set to None if a dacl isn't defined

The documentation for this class was generated from the following file:

- winsec.py